> For the complete documentation index, see [llms.txt](https://docs.superiormc.cn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.superiormc.cn/auxilor-plugins/zi-ding-yi-xiao-guo/suo-you-tiao-jian/has_item.md).

# has\_item

## `has_item`

需要（作为触发对象的）玩家的背包中的物品含有物品列表中的元素。如果（作为触发对象的）实体不是玩家，则实体所穿装备和所持物品是否含有物品列表中的元素。

## 示例配置

```yaml
- id: has_item
  args:
    items: # 允许的物品列表，支持物品语句
      - talismans:archery_2 sparkly
      - netherite_ingot 
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/auxilor-plugins/zi-ding-yi-xiao-guo/suo-you-tiao-jian/has_item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
